<!--
Template for monitoring and terminating active strategies
@Author Majd Asab + Rami Shehto
-->
<div class="container">
  <div class="form-group">
    <label for="active-strategies">Strategies active at the moment:</label>
    <select class="form-control" id="active-strategies" (click)="refreshList()" (change)="strategy=$event.target.value">
      <option *ngFor="let f of array" [value]="f">{{f}}</option>
      <option selected="selected"></option>
    </select>
    <button type="button" class="btn btn-danger"  [disabled]="strategy === undefined" (click)="killStrategy()" >Kill active strategy</button>
  </div>
</div>
